Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stat.mperiods
Class MatrixOfStatProbesMeasureMatrix

    java.lang.Object
      umontreal.iro.lecuyer.stat.mperiods.MatrixOfStatProbesMeasureMatrix

All Implemented Interfaces:
  Cloneable, MeasureMatrix

    public class MatrixOfStatProbesMeasureMatrix

extends Object
implements MeasureMatrix, Cloneable

Matrix of measures whose values are obtained using a matrix of statistical probes. This matrix contains one measure for each row of the matrix, and one period for each column. The measures are obtained using the `StatProbe.sum()` method. Since the sum can be considered as an integral, the `IntegralMeasureMatrix` can be used to turn this matrix into a multiple-periods one if the associated matrix contains a single column.

Constructor Summary
`MatrixOfStatProbesMeasureMatrix(MatrixOfStatProbes<?> matrix)` Constructs a new matrix of measures using the matrix of probes `matrix`.

Method Summary
`MatrixOfStatProbesMeasureMatrix` | `clone()` Makes a copy of this matrix of measures.
`MatrixOfStatProbes<?>` | `getMatrixOfStatProbes()` Returns the matrix of statistical probes associated with this matrix of measures.
`double` | `getMeasure(int i, int p)` Returns the measure corresponding to the index `i` and period `p`.
`int` | `getNumMeasures()` Returns the number of measures calculated by the implementation of this interface.
`int` | `getNumPeriods()` Returns the number of periods stored into this matrix of measures.
`void` | `init()` Initializes this matrix of measures for a new simulation replication.
`void` | `regroupPeriods(int x)` Throws an `UnsupportedOperationException`.
`void` | `setMatrixOfStatProbes(MatrixOfStatProbes<?> matrix)` Sets the associated matrix of statistical probes to `matrix`.
`void` | `setNumMeasures(int nm)` Sets the number of measures to `nm`.
`void` | `setNumPeriods(int np)` Sets the number of periods of this matrix to `np`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatrixOfStatProbesMeasureMatrix

    public MatrixOfStatProbesMeasureMatrix(MatrixOfStatProbes<?> matrix)

  Constructs a new matrix of measures using the matrix of probes `matrix`.

  Parameters:
    `matrix` - the matrix of statistical probes being used.

Method Detail

### getMatrixOfStatProbes

    public MatrixOfStatProbes<?> getMatrixOfStatProbes()

  Returns the matrix of statistical probes associated with this matrix of measures.

  Returns:
    the associated matrix of statistical probes.

### setMatrixOfStatProbes

    public void setMatrixOfStatProbes(MatrixOfStatProbes<?> matrix)

  Sets the associated matrix of statistical probes to `matrix`. If the given matrix is `null`, the number of measures and periods are set to 0. Otherwise, they correspond to the number of rows and columns of the matrix, respectively.

  Parameters:
    `matrix` - the new matrix of statistical probes.

### init

    public void init()

  Description copied from interface: `MeasureMatrix`
  Initializes this matrix of measures for a new simulation replication. This resets the measured values to 0, or initializes the probes used to compute them.

  Specified by:
    `init` in interface `MeasureMatrix`

### getNumMeasures

    public int getNumMeasures()

  Description copied from interface: `MeasureMatrix`
  Returns the number of measures calculated by the implementation of this interface.

  Specified by:
    `getNumMeasures` in interface `MeasureMatrix`
  Returns:
    the number of computed values.

### getNumPeriods

    public int getNumPeriods()

  Description copied from interface: `MeasureMatrix`
  Returns the number of periods stored into this matrix of measures.

  Specified by:
    `getNumPeriods` in interface `MeasureMatrix`
  Returns:
    the number of stored periods.

### setNumMeasures

    public void setNumMeasures(int nm)

  Description copied from interface: `MeasureMatrix`
  Sets the number of measures to `nm`. If this method is supported, it can limit the maximal or minimal accepted number of measures.

  Specified by:
    `setNumMeasures` in interface `MeasureMatrix`
  Parameters:
    `nm` - the new number of measures.

### setNumPeriods

    public void setNumPeriods(int np)

  Description copied from interface: `MeasureMatrix`
  Sets the number of periods of this matrix to `np`. If this method is supported, it can limit the maximal or minimal accepted number of periods.

  Specified by:
    `setNumPeriods` in interface `MeasureMatrix`
  Parameters:
    `np` - the new number of periods.

### regroupPeriods

    public void regroupPeriods(int x)

  Throws an `UnsupportedOperationException`.

  Specified by:
    `regroupPeriods` in interface `MeasureMatrix`
  Parameters:
    `x` - the number of periods per group.
  Throws:
    `UnsupportedOperationException` - if this method is called.

### getMeasure

    public double getMeasure(int i,
                             int p)

  Description copied from interface: `MeasureMatrix`
  Returns the measure corresponding to the index `i` and period `p`.

  Specified by:
    `getMeasure` in interface `MeasureMatrix`
  Parameters:
    `i` - the index of the measure.
    `p` - the period of the measure.
  Returns:
    the corresponding value.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public MatrixOfStatProbesMeasureMatrix clone()

  Makes a copy of this matrix of measures. The statistical probe matrix is not cloned.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.